<?php

/**
 * Footer
 *
 * @package crucio
 */

$bottom_page_query = new WP_Query( 'page_id=600' );

// loop through the query (even though it's just one page)
while ( $bottom_page_query->have_posts() ) : $bottom_page_query->the_post();
    the_content();
endwhile;

// reset post data (important, don't leave out!)
wp_reset_postdata();

?>
		<!-- FOOTER -->
        <footer class="section">
            <div class="section-content">
                <div class="container">
                    <div class="copyright">
                        <?php echo wpautop(wp_kses_post( crucio_get_options('crucio_copyright_text','&copy; ' . date('Y') . esc_html__( '. Crucio. All Rights Reserved.', 'crucio' ) ) )); ?>
                    </div>
                </div>
            </div>
        </footer>

        <?php $images = crucio_get_options('crucio_parallax_images'); ?>
        <?php if (!empty($images) && is_array($images)):
            foreach ($images as $key => $image) {
                if (is_numeric($image['image'])) {
                    $images[$key]['image'] = wp_get_attachment_url( $image['image'] );
                }
            }
        ?>
        <div data-parallax-images="<?php echo esc_attr(json_encode($images)); ?>"></div>
        <?php endif; ?>
        <?php if (crucio_get_options('crucio_back_to_top')): ?>
        <div class="back-to-top">
            <a href="#top"><i class="ion-ios-arrow-up"></i></a>
        </div>
        <?php endif; ?>

        <?php wp_footer(); ?>
    </body>
</html>
