<?php

/**
 * Header
 *
 * @package crucio
 */

$logo = (crucio_get_options('logo_type') && crucio_get_options('logo_type') == 'text' ) ? 'text-logo' : '';

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> id="top">
	<?php
	// query for the page using either (not both!) one of the two following lines
	$top_page_query = new WP_Query( 'pagename=top-page' );

	// loop through the query (even though it's just one page)
	while ( $top_page_query->have_posts() ) : $top_page_query->the_post();
		the_content();
	endwhile;

	// reset post data (important, don't leave out!)
	wp_reset_postdata();

	?>
	<!-- NAVBAR -->
	<?php
	$nav_class = '';
	if ( ! class_exists( 'Crucio_Core' ) || is_home() || is_404() || is_search()):
		$nav_class = 'navbar-light-static';
	endif;
	if ( ! class_exists( 'Crucio_Core' ) ) {
		$nav_class .= ' small';
	}
	?>
	<div class="navbar fixed-top navbar-expand-xl navbar-light <?php echo esc_attr( $nav_class ); ?>">
		<div class="navbar-container">

			<?php
			if(empty(get_bloginfo('name'))) {
				$default_title = "CRUCIO";
			}else{
				$default_title = get_bloginfo('name');
			}
			$logo = crucio_get_options('crucio_logo_image');
			$text_logo = crucio_get_options('crucio_logo_text', $default_title);
			if (!empty($logo)) :
				?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="navbar-title">
					<img src="<?php echo esc_url( $logo ); ?>" alt="<?php echo esc_attr( $text_logo ); ?>" class="image-logo">
				</a>
			<?php elseif( ( crucio_get_options('crucio_type_logo') == 'text' || ! class_exists( 'Crucio_Core' ) ) || ( crucio_get_options('crucio_type_logo') == 'image' && empty($logo) ) ) : ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="navbar-title">
					<?php echo esc_html( $text_logo ); ?>
				</a>
			<?php endif; ?>

			<button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#main-nav" aria-controls="main-nav" aria-expanded="false" aria-label="Toggle Navigation">
				<span class="navbar-toggler-icon"></span>
				<span class="navbar-toggler-icon"></span>
				<span class="navbar-toggler-icon"></span>
			</button>

			<?php crucio_custom_menu(); ?>
			<a href="http://fondacionibehgjetpacolli.org/new/dhuro/" class="btn wow fadeInRight" data-wow-duration="1s" data-wow-delay="1s" style="visibility: visible; animation-duration: 1s; animation-delay: 1s; animation-name: fadeInRight; float: right;border-radius: 25px;background-color: #bc8a32; color: #fff;">DHURO</a>
		</div>
	</div>

	<?php if( crucio_get_options('crucio_page_preloader') ) { ?>
		<div id="loading">
			<div id="loading-center">
				<div id="loading-center-absolute">
					<div class="cssload-wrap">
						<div class="cssload-cssload-spinner"></div>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>
